"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA8EA0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA8F40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA8FE0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9080>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA91C0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9260>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9300>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA93A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9440>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA94E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9580>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9620>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA96C0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9760>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9800>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA98A0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA99E0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9A80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9B20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9BC0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9C60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9D00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9DA0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9E40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9EE0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEA9F80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA020>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA0C0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA200>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA2A0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA340>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA3E0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA480>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA5C0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA660>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA7A0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA840>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA8E0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAA980>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAA20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAAC0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAB60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAC00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAACA0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAD40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAADE0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAE80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAF20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAAFC0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB060>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB100>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB1A0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB240>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB2E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB380>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB420>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB4C0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB560>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB600>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB6A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB740>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB7E0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB880>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB920>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEAB9C0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABA60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABB00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABBA0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABC40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABCE0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABD80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABE20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABEC0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEABF60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB8040>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB8180>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB80E0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB8220>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB82C0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026C5DEB8360>)]
name: str = 'fr_HOCCN'
